# 현금영수증 발급 가용액 조회 API

{% hint style="warning" %}
**Deprecated**

이 문서는 더 이상 관리되지 않습니다.

[PortOne 개발자센터](https://developers.portone.io/)를 이용해주세요.
{% endhint %}

### 네이버페이 결제형 현금영수증 발급가능 금액 조회 API

## 현금영수증 발급가능 금액 조회

<mark style="color:blue;">`GET`</mark> `https://api.iamport.kr/payments/{imp_uid}/naver/cash-amount`

#### Path Parameters

| Name                                       | Type   | Description                                  |
| ------------------------------------------ | ------ | -------------------------------------------- |
| imp\_uid<mark style="color:red;">\*</mark> | String | <mark style="color:red;">**포트원 거래번호**</mark> |

{% tabs %}
{% tab title="200: OK 성공" %}
{% tabs %}
{% tab title="NaverCashAmountResponse" %}
**`code`** <mark style="color:red;">**\***</mark> <mark style="color:purple;">**integer**</mark>

**응답코드**

0이면 정상적인 조회, 0 이 아닌 값이면 message를 확인해봐야 합니다

**`message`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**string**</mark>

**응답메세지**

code 값이 0이 아닐 때, '존재하지 않는 결제정보입니다'와 같은 오류 메세지를 포함합니다

**`response`** <mark style="color:red;">**`(NaverCashAmountAnnotation, optional)`**</mark>
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="NaverCashAmountAnnotation" %}
**`amount_total`** <mark style="color:purple;">**`integer`**</mark>

**`현금영수증 발급가능 총액`**

**`amount_by_npoint`** <mark style="color:purple;">**`integer`**</mark>

**`현금영수증 발급가능 총액 중 Npoint 에 의한 금액`**

**`amount_by_primary`** <mark style="color:purple;">**`integer`**</mark>

**`현금영수증 발급가능 총액 중 메인 결제수단(신용카드, 계좌이체 등)에 의한 금액`**

**`amount_supply`** <mark style="color:purple;">**`integer`**</mark>

**`현금영수증 발급가능 총액 중 공급가액`**

**`amount_vat`** <mark style="color:purple;">**`integer`**</mark>

**`현금영수증 발급가능 총액 중 부가세`**
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400: Bad Request 네이버페이 결제형 거래가 아닌 건에 대해 요청하는 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized 인증 Token이 전달되지 않았거나 유효하지 않은 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error 네이버페이 현금영수증 발급가능 금액 조회시 네이버응답이 올바르지 않은 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Response Model Schema</summary>

```
{
  "code": 0,
  "message": "string",
  "response": {
    "amount_total": 0,
    "amount_by_npoint": 0,
    "amount_by_primary": 0,
    "amount_supply": 0,
    "amount_vat": 0
  }
}
```

</details>

{% hint style="success" %}
**Swagger Test Link**

[**https://api.iamport.kr/#!/naver/queryCashAmount**](https://api.iamport.kr/#!/naver/queryCashAmount)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://portone.gitbook.io/docs/api/api-6/undefined-2/api-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
